Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp	(revision 112)
@@ -59,4 +59,5 @@
     str += toString(MSG_INFORMATION)+_("                         Kamel    Chekkal   - VHDL\n"    );
     str += toString(MSG_INFORMATION)+_("                         Stéphane Dubuisson - XMLLight\n");
+    str += toString(MSG_INFORMATION)+_("                         Ramsis   Farhat    - VHDL\n"    );
     str += toString(MSG_INFORMATION)+_("                         Vincent  Moulu     - VHDL\n"    );
     str += toString(MSG_INFORMATION)+"\n";
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp	(revision 112)
@@ -150,5 +150,5 @@
         DELETE1(_param->_size_reservation_station               ,_param->_nb_read_bloc);
         DELETE1(_param->_size_read_queue                        ,_param->_nb_read_bloc);
-        DELETE1(_param->_size_read_counter                      ,_param->_nb_rename_bloc);
+//         DELETE1(_param->_size_read_counter                      ,_param->_nb_rename_bloc);
         DELETE1(_param->_nb_rename_unit_bank                    ,_param->_nb_rename_bloc);
         DELETE1(_param->_nb_reg_free                            ,_param->_nb_rename_bloc);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 112)
@@ -113,5 +113,5 @@
     ALLOC1(_param->_nb_reg_free                      ,uint32_t         ,_param->_nb_rename_bloc);
     ALLOC1(_param->_nb_rename_unit_bank              ,uint32_t         ,_param->_nb_rename_bloc);
-    ALLOC1(_param->_size_read_counter                ,uint32_t         ,_param->_nb_rename_bloc);
+//     ALLOC1(_param->_size_read_counter                ,uint32_t         ,_param->_nb_rename_bloc);
 
     for (uint32_t i=0; i<_param->_nb_rename_bloc; ++i)
@@ -128,5 +128,5 @@
         _param->_nb_reg_free                       [i] = fromString<uint32_t         > (getParam("nb_reg_free"                      , "rename_bloc",toString(i).c_str(),""));
         _param->_nb_rename_unit_bank               [i] = fromString<uint32_t         > (getParam("nb_rename_unit_bank"              , "rename_bloc",toString(i).c_str(),""));
-        _param->_size_read_counter                 [i] = fromString<uint32_t         > (getParam("size_read_counter"                , "rename_bloc",toString(i).c_str(),""));
+//         _param->_size_read_counter                 [i] = fromString<uint32_t         > (getParam("size_read_counter"                , "rename_bloc",toString(i).c_str(),""));
       }   
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp	(revision 112)
@@ -7,4 +7,5 @@
 
 #include "Behavioural/Configuration/include/Simulator.h"
+#include "Behavioural/include/Simulation.h"
 #include "Common/include/FromString.h"
 #include <fstream>
@@ -80,4 +81,14 @@
             testNodeName   (xml,"component");
             testSingleton  (xml,true);
+
+            attributes_t      attributes = xml->getAttributes();
+            
+            std::string       value_name  = getAttribute(xml,attributes,"name" );
+            model_type_t      value_model = fromString<model_type_t     >(getAttribute(xml,attributes,"model"));
+            debug_verbosity_t value_debug = fromString<debug_verbosity_t>(getAttribute(xml,attributes,"debug"));
+            
+            testAttributesEmpty(xml,attributes);
+            
+            _model.set_model(value_name, value_model, value_debug);
           }
       }
